Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(51)

Unified Diff: tool/build_test_pkgs.sh

Issue 2234343003: fix #620, infer the input files from sources (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: fix Created 4 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « test/worker/worker_test.dart ('k') | tool/sdk_expected_errors.txt » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/build_test_pkgs.sh
diff --git a/tool/build_test_pkgs.sh b/tool/build_test_pkgs.sh
new file mode 100755
index 0000000000000000000000000000000000000000..1e45949945739844a04e44fe13eb8e3ab1013e0d
--- /dev/null
+++ b/tool/build_test_pkgs.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -e # bail on error
+
+cd $( dirname "${BASH_SOURCE[0]}" )/..
+
+mkdir -p gen/codegen_output/pkg/
+
+SDK=--dart-sdk-summary=lib/runtime/dart_sdk.sum
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/expect.js \
+ --url-mapping=package:expect/expect.dart,test/codegen/expect.dart \
+ package:expect/expect.dart
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/async_helper.js \
+ --url-mapping=package:async_helper/async_helper.dart,test/codegen/async_helper.dart \
+ package:async_helper/async_helper.dart
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/js.js \
+ package:js/js.dart
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/matcher.js \
+ package:matcher/matcher.dart
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/stack_trace.js \
vsm 2016/08/11 21:45:56 I believe stack_trace depends on path - don't you
Jennifer Messerly 2016/08/11 21:47:51 it'll just get inlined if it does. but we could sa
+ package:stack_trace/stack_trace.dart
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/path.js \
+ package:path/path.dart
+
+./bin/dartdevc.dart $SDK -o gen/codegen_output/pkg/unittest.js \
+ package:unittest/unittest.dart \
+ package:unittest/html_config.dart \
+ package:unittest/html_individual_config.dart \
+ package:unittest/html_enhanced_config.dart
« no previous file with comments | « test/worker/worker_test.dart ('k') | tool/sdk_expected_errors.txt » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698